import type { Theme } from '../../lib/theming/Theme.js';
export declare const getStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    root(): string;
    rootMobile(t: Theme): string;
    placeholder(t: Theme): string;
    placeholderDisabled(t: Theme): string;
    customUsePlaceholder(): string;
    arrowWrap(t: Theme): string;
    arrowDisabled(t: Theme): string;
    customUseArrow(): string;
    label(): string;
    search(): string;
    leftIconSmall(t: Theme): string;
    leftIconMedium(t: Theme): string;
    leftIconLarge(t: Theme): string;
    leftIconLink(t: Theme): string;
    selectButtonContainer(): string;
}>;
